AntiFeatures:
  - NonFreeNet
Categories:
  - Multimedia
License: LGPL-3.0-only
SourceCode: https://github.com/WangDaYeeeeee/Mysplash
IssueTracker: https://github.com/WangDaYeeeeee/Mysplash/issues
Changelog: https://github.com/WangDaYeeeeee/Mysplash/releases

AutoName: Mysplash
Description: |-
    A lightweight client for [https://unsplash.com/ Unsplash] with following
    features:

    * 100000+ photos
    * material design
    * select photos as tags
    * share photos and set as wallpaper
    * download raw photos.

    By using this app you agree to the [https://unsplash.com/license Unsplash photos
    license].

RepoType: git
Repo: https://github.com/WangDaYeeeeee/Mysplash

Builds:
  - versionName: 2.7.3
    versionCode: 273
    commit: a6bd95b4b9d3e52bd50dc51286700ad130efb3d8
    subdir: app
    gradle:
      - yes

  - versionName: 2.7.8
    versionCode: 278
    commit: 7c2d7bf299d5b6aa0b62717b337b4810532a90aa
    subdir: app
    gradle:
      - yes

  - versionName: 2.7.9
    versionCode: 279
    commit: ae4adcddb6019e0f41dca6902423cb794aba6a8c
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.3
    versionCode: 283
    commit: c80c502c2209fd5dc2063a1d723811b54036a683
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.4
    versionCode: 284
    commit: 0f843aaf3988c63fd8cf12593355c459ab087b0e
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.8
    versionCode: 288
    commit: 2.8.8
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.9
    versionCode: 289
    commit: 2.8.9
    subdir: app
    gradle:
      - yes

  - versionName: 2.9.4
    versionCode: 294
    disable: tag has been deleted
    commit: 2.9.4
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.1
    versionCode: 301
    disable: doesnt build
    commit: 3.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.5
    versionCode: 305
    commit: 3.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.6
    versionCode: 306
    commit: 3.0.6
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.7
    versionCode: 307
    disable: tag has been deleted
    commit: 3.0.7
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.0
    versionCode: 310
    disable: tag has been deleted
    commit: 3.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.1
    versionCode: 311
    commit: ec678a006038a54fa66dd1af7bab83f31ba46715
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.2
    versionCode: 312
    commit: 763f0c2a41f8a28f91252b144799676b43393a19
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.3
    versionCode: 313
    commit: a9d42346e38e84224c6511a67ff9de6d332b3b8f
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.4
    versionCode: 314
    commit: 993246869911da83dde35a55cf14d44884617822
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.5
    versionCode: 315
    commit: 30aa299b863d01ab99bf2d2fbfbac94ad490f3a0
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.6
    versionCode: 316
    commit: 1d78cb01943018b124ad32b039639b554a881bb2
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.7
    versionCode: 317
    commit: 3.1.7
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.9
    versionCode: 319
    commit: 3.1.9
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.0
    versionCode: 320
    commit: 3.2.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.1
    versionCode: 321
    commit: 3.2.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.2
    versionCode: 322
    commit: 3.2.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.3
    versionCode: 323
    commit: 3.2.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.4
    versionCode: 324
    commit: 3.2.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.5
    versionCode: 325
    disable: can't find gradle plugin
    commit: 3.2.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.7
    versionCode: 327
    commit: 3.2.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.2.8
    versionCode: 328
    commit: 3.2.8
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.3.0
    versionCode: 330
    commit: 3.3.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.3.1
    versionCode: 331
    commit: 3.3.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.3.3
    versionCode: 333
    commit: 3.3.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -Ee '/systemProp.https?.proxy/d' ../gradle.properties

  - versionName: 3.3.9
    versionCode: 339
    commit: 3.3.9
    subdir: app
    patch:
      - 3.3.9-de_locale.patch
      - 3.3.9-ru_locale.patch
    gradle:
      - yes
    rm:
      - app/src/main/res/resource/values-ru/arrays.xml
      - app/src/main/res/resource/values-ru/strings.xml
    prebuild: git checkout a307d32e325b8f33022f28975fac9253d1de705d -- ../gradle.properties

  - versionName: 3.4.1
    versionCode: 341
    commit: 3.4.1
    subdir: app
    patch:
      - 3.3.9-de_locale.patch
      - 3.3.9-ru_locale.patch
    gradle:
      - yes
    rm:
      - app/src/main/res/resource/values-ru/arrays.xml
      - app/src/main/res/resource/values-ru/strings.xml
    prebuild: git checkout a307d32e325b8f33022f28975fac9253d1de705d -- ../gradle.properties

  - versionName: 3.4.5
    versionCode: 345
    commit: 3.4.5
    subdir: app
    patch:
      - 3.4.5-de_locale.patch
      - 3.4.5-ru_locale.patch
    gradle:
      - yes
    rm:
      - app/src/main/res/resource/values-ru/arrays.xml
      - app/src/main/res/resource/values-ru/strings.xml
    prebuild: git checkout a307d32e325b8f33022f28975fac9253d1de705d -- ../gradle.properties

  - versionName: 3.4.8
    versionCode: 348
    commit: 3.4.8
    subdir: app
    patch:
      - 3.4.5-de_locale.patch
      - 3.4.5-ru_locale.patch
    gradle:
      - yes
    rm:
      - app/src/main/res/resource/values-ru/arrays.xml
      - app/src/main/res/resource/values-ru/strings.xml
    prebuild: git checkout a307d32e325b8f33022f28975fac9253d1de705d -- ../gradle.properties

  - versionName: 3.5.0
    versionCode: 350
    disable: 'MoreHolder.java:110: error: incompatible types: ViewPager2 cannot be
        converted to ViewPager'
    commit: 3.5.0
    subdir: app
    patch:
      - 3.4.5-de_locale.patch
      - 3.4.5-ru_locale.patch
    gradle:
      - yes
    rm:
      - app/src/main/res/resource/values-ru/arrays.xml
      - app/src/main/res/resource/values-ru/strings.xml
    prebuild: git checkout a307d32e325b8f33022f28975fac9253d1de705d -- ../gradle.properties

  - versionName: 3.6.9
    versionCode: 369
    commit: 3.6.9
    subdir: app
    patch:
      - 3.6.9-de_locale.patch
      - 3.6.9-ru_locale.patch
    gradle:
      - yes
    rm:
      - app/src/main/res/resource/values-ru/arrays.xml
      - app/src/main/res/resource/values-ru/strings.xml
    prebuild:
      - git checkout a307d32e325b8f33022f28975fac9253d1de705d -- ../gradle.properties
      - echo android.useAndroidX=true >> ../gradle.properties
      - echo android.enableJetifier=true >> ../gradle.properties

  - versionName: 3.7.1
    versionCode: 371
    commit: 3.7.1
    subdir: app
    patch:
      - 3.6.9-ru_locale.patch
    gradle:
      - yes
    rm:
      - app/src/main/res/resource/values-ru/arrays.xml
      - app/src/main/res/resource/values-ru/strings.xml
    prebuild:
      - git checkout a307d32e325b8f33022f28975fac9253d1de705d -- ../gradle.properties
      - echo android.useAndroidX=true >> ../gradle.properties
      - echo android.enableJetifier=true >> ../gradle.properties

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 3.7.1
CurrentVersionCode: 371
